

MRCAoAPopulation = population('MRCAoA-KF_0-95percentile.txt',...
    'name','MRCAoAPopulation','isHeader',true,'isFormatting',true);

outFile = strcat('./samples/','entropyCorr2x.2','s','@',int2str(i),'.out.txt');

entSample = sample(100, 'name','entSample','outFile',outFile);

entSample.setPop(MRCAoAPopulation);



entSOS = sos('reportInterval',1000, 'statTestReportStyle','full',...
            'statInterval',5000); %, ...   'stopFreezeIt',10000);

entSOS.addSample(entSample);


freqConstraint = entSOS.addConstraint('sosObj',entSOS,'name','freqConstraint',...
    'constraintType','soft','fnc','maxEnt', 'sample1', entSample, 's1ColName', 'KFfrequency', ...
    'pdSpread','allItems','weight',100);

AOAConstraint = entSOS.addConstraint('sosObj',entSOS,'name','AOAConstraint',...
    'constraintType','soft','fnc','maxEnt', 'sample1', entSample, 's1ColName', 'AoA', ...
    'pdSpread','allItems','weight',100);

deCorrAoAFreqConstraint = entSOS.addConstraint('sosObj',entSOS,'name','deCorrAoAFreqConstraint','constraintType', ...
'soft','fnc','matchCorrel',...
'sample1',entSample,'s1ColName','AoA', ...
'sample2',entSample,'s2ColName','KFfrequency','targVal',0.0);

deCorrAoAlettersConstraint = entSOS.addConstraint('sosObj',entSOS,'name','deCorrAoAlettersConstraint','constraintType', ...
'soft','fnc','matchCorrel',...
'sample1',entSample,'s1ColName','AoA', ...
'sample2',entSample,'s2ColName','letters','targVal',0.0);

deCorrFreqlettersConstraint = entSOS.addConstraint('sosObj',entSOS,'name','deCorrFreqlettersConstraint','constraintType', ...
'soft','fnc','matchCorrel',...
'sample1',entSample,'s1ColName','KFfrequency', ...
'sample2',entSample,'s2ColName','letters','targVal',0.0);

deCorrAoAimageryConstraint = entSOS.addConstraint('sosObj',entSOS,'name','deCorrAoAimageryConstraint','constraintType', ...
'soft','fnc','matchCorrel',...
'sample1',entSample,'s1ColName','AoA', ...
'sample2',entSample,'s2ColName','imagery','targVal',0.0);

deCorrFreqimageryConstraint = entSOS.addConstraint('sosObj',entSOS,'name','deCorrFreqimageryConstraint','constraintType', ...
'soft','fnc','matchCorrel',...
'sample1',entSample,'s1ColName','KFfrequency', ...
'sample2',entSample,'s2ColName','imagery','targVal',0.0);


entSOS.initFillSamples();
entSOS.normalizeData();

entSOS.setAnnealSchedule();
entSOS.maxIt = 1000000;


% add test for uniform distribution
entSOS.addkstest('name','uniformAoA','type','matchUniform','sample1',entSample,...
    's1ColName','AoA',...
    'desiredpvalCondition','=>','desiredpval',0.001,'pdSpread','allItems');

entSOS.addkstest('name','uniformFreq','type','matchUniform','sample1',entSample,...
    's1ColName','KFfrequency',...
    'desiredpvalCondition','=>','desiredpval',0.001,'pdSpread','allItems');




pForMatch = 0.5;
corHyp = '=>'; %  'N/A'
entSOS.addztest('name','decorAOAFreq','type','matchCorrel','sample1',entSample,...
    's1ColName','AoA','sample2',entSample,'s2ColName','KFfrequency',...
    'desiredpvalCondition',corHyp,'desiredpval',pForMatch,'targVal',0.0);

entSOS.addztest('name','decorAOAletters','type','matchCorrel','sample1',entSample,...
    's1ColName','AoA','sample2',entSample,'s2ColName','letters',...
    'desiredpvalCondition',corHyp,'desiredpval',pForMatch,'targVal',0.0);

entSOS.addztest('name','decorFreqletters','type','matchCorrel','sample1',entSample,...
    's1ColName','KFfrequency','sample2',entSample,'s2ColName','letters',...
    'desiredpvalCondition',corHyp,'desiredpval',pForMatch,'targVal',0.0);

entSOS.addztest('name','decorAOAimagery','type','matchCorrel','sample1',entSample,...
    's1ColName','AoA','sample2',entSample,'s2ColName','imagery',...
    'desiredpvalCondition',corHyp,'desiredpval',pForMatch,'targVal',0.0);

entSOS.addztest('name','decorFreqimagery','type','matchCorrel','sample1',entSample,...
    's1ColName','KFfrequency','sample2',entSample,'s2ColName','imagery',...
    'desiredpvalCondition',corHyp,'desiredpval',pForMatch,'targVal',0.0);


entSOS.setAnnealSchedule('schedule','exp','blockSize',1000,'pDecrease',0.46,'pval',0.05);

entSOS.optimize();

entSample.writeData();
